import {
  ChangeDetectionStrategy,
  Component,
  Input,
  Output,
} from "@angular/core";
import {SharedAbstractPresentational} from "@app/shared/components/presentationals/shared-abstract/shared-abstract.presentational";
import {AppUtil} from "@app/shared/utils/app.util";
import {
  BehaviorSubject,
  Observable,
} from "rxjs";
import {ObservableUtil} from "solidify-frontend";

@Component({
  selector: "dlcm-footer",
  templateUrl: "./footer.presentational.html",
  styleUrls: ["./footer.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FooterPresentational extends SharedAbstractPresentational {
  @Input()
  updateVersion: string | undefined;

  private readonly _updateBS: BehaviorSubject<void> = new BehaviorSubject<void>(undefined);
  @Output("updateChange")
  readonly updateObs: Observable<void> = ObservableUtil.asObservable(this._updateBS);

  get appUtil(): typeof AppUtil {
    return AppUtil;
  }

  update(): void {
    this._updateBS.next();
  }
}
